Foxit PDF SDK

Public Member Functions | List of all members
foxit.pdf.AnnotationSummary Class Reference
Inheritance diagram for foxit.pdf.AnnotationSummary:

## Public Member Functions
| AnnotationSummary (foxit.pdf.PDFDoc document)
| Constructor. More...
| AnnotationSummary (AnnotationSummary other)
| Constructor, with another annotation summary object. More...
bool | IsEmpty ()
| Check whether current object is empty or not. More...
void | SetCallback (AnnotationSummaryCallback callback)
| Set a callback object for annotation summary. More...
Progressive | StartSummarize (string dest_file_path, AnnotationSummarySettings settings, PauseCallback pause)
| Start to summarize annotation. More...
Progressive | StartSummarize (FileWriterCallback dest_file, AnnotationSummarySettings settings, PauseCallback pause)
| Start to summarize annotation. More...

## Detailed Description

This class can be used to summarize annotation and genearte a PDF file as the result document.

## Constructor & Destructor Documentation

## ◆ AnnotationSummary() [1/2]

foxit.pdf.AnnotationSummary.AnnotationSummary | ( | foxit.pdf.PDFDoc | document | ) |
| inline

Constructor.

Parameters

  [in] | document | A valid PDF document. It should has been loaded successfully.

## ◆ AnnotationSummary() [2/2]

foxit.pdf.AnnotationSummary.AnnotationSummary | ( | AnnotationSummary | other | ) |
| inline

Constructor, with another annotation summary object.

Parameters

  [in] | other | Another annotation summary object.

## Member Function Documentation

## ◆ IsEmpty()

bool foxit.pdf.AnnotationSummary.IsEmpty | ( |  | ) |
| inline

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.

## ◆ SetCallback()

void foxit.pdf.AnnotationSummary.SetCallback | ( | AnnotationSummaryCallback | callback | ) |
| inline

Set a callback object for annotation summary.

If this function is not called, that means no callback will be used.

Parameters

  [in] | callback | A AnnotationSummaryCallback object which is implemented by user. User can change some information/data during summarizing annotations by this callback. Please ensure that the callback object keeps valid until the life-cycle of current AnnotationSummary object ends. If this is null, that means to use default information/data.

Returns
  None.

## ◆ StartSummarize() [1/2]

Progressive foxit.pdf.AnnotationSummary.StartSummarize | ( | string | dest_file_path,
|  | AnnotationSummarySettings | settings,
|  | PauseCallback | pause
| ) |  |
| inline

Start to summarize annotation.

It may take a long time to summarize annotation, so Foxit PDF SDK uses a progressive process to do this. If related source PDF document does not have any annotation whose type is supported (please refer to comment of function AnnotationSummarySettings.SetAnnotType ), or related source PDF document does not have any annotation, this function will throw exception foxit.common.ErrorCode.e_ErrUnknown .

Parameters

  [in] | dest_file_path | A full path to save a PDF file as the result of annotation summary. This should not be an empty string.
  [in] | settings | Setting data used to summarize annotation.
  [in] | pause | Pause object which decides if the summarizing process needs to be paused. This can be null which means not to pause during the parsing process. If this is not null, it should be a valid pause object implemented by user. Default value: null.

Returns
  A progressive object. Please check the rate of current progress by function common.Progressive.GetRateOfProgress . If the rate is not 100 yet, call function common.Progressive.Continue to continue the progress until the progress is finished.

## ◆ StartSummarize() [2/2]

Progressive foxit.pdf.AnnotationSummary.StartSummarize | ( | FileWriterCallback | dest_file,
|  | AnnotationSummarySettings | settings,
|  | PauseCallback | pause
| ) |  |
| inline

Start to summarize annotation.

It may take a long time to summarize annotation, so Foxit PDF SDK uses a progressive process to do this. If related source PDF document does not have any annotation whose type is supported (please refer to comment of function AnnotationSummarySettings.SetAnnotType ), or related source PDF document does not have any annotation, this function will throw exception foxit.common.ErrorCode.e_ErrUnknown .

Parameters

  [in] | dest_file | A foxit.common.fxcrt.FileWriterCallback object which is implemented by user to store the data of annotation summary to a PDF file as result in custom method.
  [in] | settings | Setting data used to summarize annotation.
  [in] | pause | Pause object which decides if the summarizing process needs to be paused. This can be null which means not to pause during the parsing process. If this is not null, it should be a valid pause object implemented by user. Default value: null.

Returns
  A progressive object. Please check the rate of current progress by function common.Progressive.GetRateOfProgress . If the rate is not 100 yet, call function common.Progressive.Continue to continue the progress until the progress is finished.